package com.zjsgfa.project.zjsgfa.service.impl;

import java.io.IOException;
import java.util.Date;
import java.util.List;
import com.zjsgfa.common.utils.DateUtils;
import com.zjsgfa.common.utils.SecurityUtils;
import com.zjsgfa.common.utils.StringUtils;
import com.zjsgfa.common.utils.file.FileUploadUtils;
import com.zjsgfa.framework.config.RuoYiConfig;
import com.zjsgfa.project.zjsgfa.domain.Dcmbgl;
import com.zjsgfa.project.zjsgfa.mapper.DcmbglMapper;
import com.zjsgfa.project.zjsgfa.service.IDcmbglService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.web.multipart.MultipartFile;

/**
 * 导出word模板管理Service业务层处理
 * 
 * @author ruoyi
 * @date 2026-01-19
 */
@Service
public class DcmbglServiceImpl implements IDcmbglService
{
    @Autowired
    private DcmbglMapper dcmbglMapper;

    /**
     * 查询导出word模板管理
     * 
     * @param id 导出word模板管理主键
     * @return 导出word模板管理
     */
    @Override
    public Dcmbgl selectDcmbglById(Long id)
    {
        return dcmbglMapper.selectDcmbglById(id);
    }

    /**
     * 查询导出word模板管理列表
     * 
     * @param dcmbgl 导出word模板管理
     * @return 导出word模板管理
     */
    @Override
    public List<Dcmbgl> selectDcmbglList(Dcmbgl dcmbgl)
    {
        return dcmbglMapper.selectDcmbglList(dcmbgl);
    }

    /**
     * 新增导出word模板管理
     * 
     * @param dcmbgl 导出word模板管理
     * @return 结果
     */
    @Override
    public int insertDcmbgl(Dcmbgl dcmbgl) throws IOException {
        dcmbgl.setCreatedBy(SecurityUtils.getUsername());//创建人
        dcmbgl.setCreatedTime(new Date());//创建时间
        return dcmbglMapper.insertDcmbgl(dcmbgl);
    }


    /**
     * 修改导出word模板管理
     * 
     * @param dcmbgl 导出word模板管理
     * @return 结果
     */
    @Override
    public int updateDcmbgl(Dcmbgl dcmbgl) throws IOException {
        dcmbgl.setUpdateBy(SecurityUtils.getUsername());
        dcmbgl.setUpdateTime(DateUtils.getNowDate());
        return dcmbglMapper.updateDcmbgl(dcmbgl);
    }

    /**
     * 批量删除导出word模板管理
     * 
     * @param ids 需要删除的导出word模板管理主键
     * @return 结果
     */
    @Override
    public int deleteDcmbglByIds(Long[] ids)
    {
        return dcmbglMapper.deleteDcmbglByIds(ids);
    }

    /**
     * 删除导出word模板管理信息
     * 
     * @param id 导出word模板管理主键
     * @return 结果
     */
    @Override
    public int deleteDcmbglById(Long id)
    {
        return dcmbglMapper.deleteDcmbglById(id);
    }
}
